Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
kdebase blocking Kate? [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Magicmat
n00b
n00b


Joined: 24 Apr 2005
Posts: 16
Location: San Diego

PostPosted: Sat Apr 07, 2007 6:04 am    Post subject: kdebase blocking Kate? [solved] Reply with quote

I'm getting a weird error trying to emerge Kate. I recently upgraded to KDE 3.5 (from 3.4) and Kate didn't seem to come with it. So I decided to simply "emerge kate", but I get the following output:
Code:
router matt # emerge -pvt kate

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N    ] kde-base/kate-3.5.5-r1  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[blocks B     ] =kde-base/kdebase-3.5* (is blocking kde-base/kate-3.5.5-r1)
[blocks B     ] =kde-base/kate-3.5* (is blocking kde-base/kdebase-3.5.5-r3)

Total: 1 package (1 new, 2 blocks), Size of downloads: 0 kB
According to this page, all stable builds of Kate are blocked by kdebase 3.5.*. Why is this? I didn't see anything in the bug repositories, change logs or with a forum search. Am I missing something obvious, or is this a bug?

Last edited by Magicmat on Sat Apr 07, 2007 6:29 am; edited 1 time in total
Back to top
View user's profile Send private message
tarpman
Veteran
Veteran


Joined: 04 Nov 2004
Posts: 1083
Location: Victoria, BC, Canada

PostPosted: Sat Apr 07, 2007 6:17 am    Post subject: Reply with quote

kdebase is an old-style monolithic KDE ebuild; kate is a new-style split one. The two forms cannot coexist.

http://www.gentoo.org/doc/en/kde-split-ebuilds.xml
Back to top
View user's profile Send private message
Magicmat
n00b
n00b


Joined: 24 Apr 2005
Posts: 16
Location: San Diego

PostPosted: Sat Apr 07, 2007 6:29 am    Post subject: Reply with quote

tarpman wrote:
kdebase is an old-style monolithic KDE ebuild; kate is a new-style split one. The two forms cannot coexist.

http://www.gentoo.org/doc/en/kde-split-ebuilds.xml
Ahh, gotcha. I was going by just the KDE Configuration HOWTO, which made it seem like split packages only offered finer-grained control of which apps were installed. Since I didn't care about that level of control, I just went with monolithic. Maybe the KDE Config HOWTO can be updated with information on how split ebuilds are now in, and that there are split equivilents to each monolithic package?

Either way, switching over after having just upgraded seems like more work than I'm willing to invest right now. If there's no way to get Kate without changing, I guess nano and GVim will have to do for awhile.

Thank you for your help!
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7822

PostPosted: Sat Apr 07, 2007 7:13 am    Post subject: Reply with quote

The reason for the block in this instance is that kde-base/kdebase includes kate.

This issue has already been discussed in the topic "Blockers in KDE 3.4.1", where it was summarized by Headrush; and it is also covered in The KDE Configuration HOWTO.

Moved from Desktop Environments to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum